<%@ page language="java" %>


<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.text.FieldPosition" %>
<%@ page import="java.util.logging.Level" %>

<%@ page import="com.soapknox.common.utils.*" %>
<%@ page import="com.soapknox.common.Constants" %>

<%@ page errorPage="/error/genericError.jsp" %>

<%@ page import="PayPalAPI.api.ebay.*" %>
<%@ page import="eBLBaseComponents.apis.ebay.*" %>

<%@ page import="com.soapknox.paypal.client.Service" %>
<%@ page import="com.soapknox.paypal.webapp.utils.RequestParams" %>

<%@ page import="com.soapknox.paypal.webapp.exception.SKApplicationException" %>
<%@ page import="com.soapknox.paypal.webapp.validation.SKBaseValidation" %>
<%@ page import="com.soapknox.paypal.webapp.database.DBPayPalProfile" %>
<%@ page import="com.soapknox.paypal.webapp.utils.TransactionUtil" %>

<%
   ResourceReader app = new ResourceReader();
   app.readFile("/prog.properties");
   String webApplicationPath = app.getProperty("webApplicationPath");
   String paypalURL = app.getProperty("paypalURL");
   String certFileName = app.getProperty("certFileName");

   RequestParams rp = new RequestParams();
   TransactionSearchRequestType tsr = null;
      
   TransactionSearchResponseType res = null;
   DBPayPalProfile pp = null;
   try {
       pp = new DBPayPalProfile();
       pp = pp.getProfile();
       
       if(pp != null) {
           Service service = new Service();
           service.setServiceURL(paypalURL);
           service.setUserCredentials(pp.getApiUsername(), pp.getApiPassword());
           service.setCertName(certFileName);
           service.setLogLevel(Level.ALL);
           service.setSubject("orders@gameliquidation.com");
       
   	       tsr = rp.createTransactionSearchRequestType(request);
   	       res = service.runTransactionSearch(tsr);
   	       request.setAttribute("paypalResponse", res);
   	   }
   } catch(SKApplicationException skae) {
   	SKBaseValidation skbv = new SKBaseValidation();
	String forwardURL = skbv.processErrors(request, skae, "/transactions/getTransactions.jsp");
	RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
	dispatcher.forward(request, response);
	return;
   } catch(Throwable e) {
      log("Caught exception in listTransactions.jsp: " + e.getMessage());
      request.setAttribute("exception", e);
      String forwardURL = "/error/genericError.jsp";
 	  RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
	  dispatcher.forward(request, response);
	  
  }

  


%>
<HTML xmlns:IE>


<jsp:include page="/jspUtils/startHtmlHead.jsp" flush="true"/>

<jsp:include page="/jspUtils/popWindowScript.jsp" flush="true"/>

<!-- American format mm/dd/yyyy -->
<script language="JavaScript" src="/<%=webApplicationPath%>/calendar/calendar2.js"></script><!-- Date only with year scrolling -->
	<TITLE>Get Transaction Details</TITLE>
<script language="JavaScript">

//called when submit button is clicked
function validateForm()
{
	if (trim(document.tstest.startDate.value)=="" || document.tstest.startDate.value == null)
	{
		alert("Start Date is required. The format of the date is 'mm/dd/yyyy HH:MM AM' or 'mm/dd/yyyy HH:MM PM'");
		document.tstest.startDate.value = trim(document.tstest.startDate.value);
		document.tstest.startDate.focus();
		return false;
	}
	document.tstest.startDate.value = trim(document.tstest.startDate.value);
	document.tstest.endDate.value = trim(document.tstest.endDate.value);
	document.tstest.payerEmail.value = trim(document.tstest.payerEmail.value);
	document.tstest.receiverEmail.value = trim(document.tstest.receiverEmail.value);
	document.tstest.txnID.value = trim(document.tstest.txnID.value);
	document.tstest.receiptID.value = trim(document.tstest.receiptID.value);
	document.tstest.itemnumber.value = trim(document.tstest.itemnumber.value);
	document.tstest.amount.value = trim(document.tstest.amount.value);
	document.tstest.selectedCurrencyCodeIndex.value=document.tstest.currencyCode.selectedIndex;
	document.tstest.selectedTransactionClassIndex.value=document.tstest.transactionClass.selectedIndex;
	document.tstest.selectedStatusIndex.value=document.tstest.status.selectedIndex;	

}//end of validateForm()
</script>

<jsp:include page="/jspUtils/endHtmlHead.jsp" flush="true"/>

<jsp:include page="/jspUtils/startBody.jsp" flush="true"/>

<jsp:include page="/jspUtils/header.jsp" flush="true"/>


<jsp:include page="/transactions/transactionsSearch.jsp" flush="true"/>


<%
    if (res != null) { %>

        Response Status:&nbsp;<%=res.getAck().toString()%>
        
   <jsp:include page="/error/paypalError.jsp" flush="true"/>


    <% eBLBaseComponents.apis.ebay.PaymentTransactionSearchResultType[] paymentResults = res.getPaymentTransactions();
	if ( (paymentResults != null) && (paymentResults.length > 0) ) {
    %>
    <table WIDTH= "100%" border="0" cellpadding="0" cellspacing="0" class="dataGridTable">
  <tr>
    <td colspan="2">&nbsp;</td>
  </tr>
       <tr>
        <td class="BlueTitleBarBottomRight" colspan="11">&nbsp;Transactions</td>
       </tr>
       <tr>
       <td valign="top" class="BlueTitleBarBottomRight">&nbsp;Timestamp</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Transaction Type</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Payer Email</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Payer Name</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Transaction ID</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Status</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Gross Amt</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Fee Amt</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;Net Amt</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight"> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
       <td valign="top" nowrap class="BlueTitleBarBottomRight">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
       </tr>

    <%	    for (int i=0; i < paymentResults.length; i++) {
            PaymentTransactionSearchResultType paymentTransaction = paymentResults[i];
    %>
       <tr>
          <td valign="top" nowrap class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getTimestamp() !=null) { %>
             <%=paymentTransaction.getTimestamp().getTime()%>&nbsp;
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getType() !=null) { %>
             <%=paymentTransaction.getType()%>
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getPayer() !=null) { %>
             <%=paymentTransaction.getPayer().toString()%>
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getPayer() !=null) { %>
             <%=paymentTransaction.getPayerDisplayName()%>
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">&nbsp; 
       <% if (paymentTransaction.getTransactionID() !=null) { %>
             <%=paymentTransaction.getTransactionID()%>
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getStatus() !=null) { %>
             <%=paymentTransaction.getStatus().toString()%>
       <% } %>
          </td>
          <td valign="top" align="right" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getGrossAmount() !=null) { %>
             <%=paymentTransaction.getGrossAmount().toString()%>&nbsp;
       <% } %>
          </td>
          <td valign="top" align="right" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getFeeAmount() !=null) { %>
             <%=paymentTransaction.getFeeAmount().toString()%>&nbsp;
       <% } %>
          </td>
          <td valign="top" align="right" class="cellPlainTextRightBottom">&nbsp;
       <% if (paymentTransaction.getNetAmount() !=null) { %>
             <%=paymentTransaction.getNetAmount().toString()%>&nbsp;
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">
       <% if ( (paymentTransaction.getTransactionID() !=null) &&
               (!paymentTransaction.getType().equals("Mass Payment Sent")) &&
               (!paymentTransaction.getType().equals("Subscription Creation")) &&
               (!paymentTransaction.getType().equals("Subscription Cancellation"))
             ) { %>
             <a href="javascript:showDetails('/<%=webApplicationPath%>/transactions/popTransactionDetails.jsp?transactionId=<%=paymentTransaction.getTransactionID()%>', '<%=paymentTransaction.getTransactionID()%>')"/>Details</a>
       <% } %>
          </td>
          <td valign="top" class="cellPlainTextRightBottom">
       <% if (TransactionUtil.isRefundable(paymentTransaction)) { %>
             <a href="/<%=webApplicationPath%>/transactions/refundTransaction.jsp?transactionId=<%=paymentTransaction.getTransactionID()%>&amount=<%=paymentTransaction.getGrossAmount().toString()%>"/>Refund</a>
       <% } %>
          </td>
       </tr>

    <%	    }  /* for */ %>
    </table>
    <% 
	} else {	/* paymentResults != null */
    %>

    <br>
    <center>
    No payment transactions found for the search criteria.
    </center>

<%  } /* paymentResults == null */
    } else { /* res != null */
%>

    <br>
    <center>
    No transactions found for the search criteria.
    </center>


<% } %>





</BODY>

</HTML>