<%@ page language="java" %>


<%@ page import="java.util.*" %>
<%@ page import="java.io.*" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page import="java.text.FieldPosition" %>
<%@ page import="java.util.logging.Level" %>

<%@ page import="com.soapknox.common.utils.*" %>
<%@ page import="com.soapknox.common.Constants" %>

<%@ page errorPage="/error/genericError.jsp" %>

<%@ page import="PayPalAPI.api.ebay.*" %>
<%@ page import="eBLBaseComponents.apis.ebay.*" %>

<%@ page import="com.soapknox.paypal.client.Service" %>
<%@ page import="com.soapknox.paypal.webapp.utils.RequestParams" %>

<%@ page import="com.soapknox.paypal.webapp.exception.SKApplicationException" %>
<%@ page import="com.soapknox.paypal.webapp.validation.SKBaseValidation" %>
<%@ page import="com.soapknox.paypal.webapp.database.DBPayPalProfile" %>

<%
   ResourceReader app = new ResourceReader();
   app.readFile("/prog.properties");
   String webApplicationPath = app.getProperty("webApplicationPath");
   String paypalURL = app.getProperty("paypalURL");
   String certFileName = app.getProperty("certFileName");

   String transactionId = request.getParameter("transactionId");

   RequestParams rp = new RequestParams();
   RefundTransactionRequestType rtr = null;
   RefundTransactionResponseType res = null;
   
   try
   {
   	rtr = rp.createRefundTransactionRequestType(request);
   }catch(SKApplicationException skae)
   {
   	SKBaseValidation skbv = new SKBaseValidation();
	String forwardURL = skbv.processErrors(request, skae, "/transactions/refundTransaction.jsp");
	RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
	dispatcher.forward(request, response);
	return;
   }
   
   rtr.setVersion("1.0");
   
   try {
       DBPayPalProfile pp = new DBPayPalProfile();
       pp = pp.getProfile();
       
       if(pp != null) {
           Service service = new Service();
           service.setServiceURL(paypalURL);
           service.setUserCredentials(pp.getApiUsername(), pp.getApiPassword());
           service.setCertName(certFileName);
           service.setLogLevel(Level.ALL);

           res = service.submitRefundTransaction(rtr);
           request.setAttribute("paypalResponse", res);
       }
   } catch(Throwable e) {
      log("Caught exception in transactionMonitor.jsp: " + e.getMessage());
      request.setAttribute("exception", e);
      String forwardURL = "/error/genericError.jsp";
 	  RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(forwardURL);
	  dispatcher.forward(request, response);
	  return;
  }

%>
<HTML xmlns:IE>

<jsp:include page="/jspUtils/startHtmlHead.jsp" flush="true"/>
<!-- American format mm/dd/yyyy -->
<script language="JavaScript" src="/<%=webApplicationPath%>/calendar/calendar2.js"></script><!-- Date only with year scrolling -->
	<TITLE>Refund Transaction Details</TITLE>
<jsp:include page="/jspUtils/endHtmlHead.jsp" flush="true"/>

<jsp:include page="/jspUtils/startBody.jsp" flush="true"/>

<jsp:include page="/jspUtils/header.jsp" flush="true"/>


<%
    if (res != null) {
        String ack = res.getAck().toString();
%>


        Response Status: <%=ack%>
        
     <jsp:include page="/error/paypalError.jsp" flush="true"/>

<center>
<BR>&nbsp;
<BR>&nbsp;
<table WIDTH= "50%" border="0" cellpadding="0" cellspacing="0" class="dataGridTable">

  <tr>
    <td class="BlueTitleBarBottomRight" colspan="2">&nbsp;Refund Transaction</td>
  </tr>
       <tr>
       <td class="cellPlainTextRightBottom">&nbsp;Transaction ID:&nbsp</td>
       <td class="cellPlainTextRightBottom">&nbsp;<%=transactionId%></td>
       </tr>
       <tr>
       <td class="cellPlainTextRightBottom">&nbsp;Refund Status:&nbsp</td>
       <td class="cellPlainTextRightBottom">&nbsp;<%=ack%></td>
       </tr>
       <% if (res.getCorrelationID() !=null) { %>
       <tr>
             <td class="cellPlainTextRightBottom">&nbsp;Correlation ID: &nbsp;</td>
             <td class="cellPlainTextRightBottom">&nbsp;<%=res.getCorrelationID().toString()%></td>
       </tr>
       <% } %>

</table>
</center>

<%
    } /* res != null */
%>



</BODY>

</HTML>