<%@ page import="java.util.Date"%>
<%@ page session="false" contentType="text/html;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true">
  <jsp:param name="includePopUp" value="true"/>
</jsp:include>

<f:view>
  
<h:form id="form1">

<h:outputText styleClass="cellBoldText" value="Subscription Payments"/>
<f:verbatim><br></f:verbatim>
<center>



<h:panelGrid id="searchGrid" columns="6" columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText">

<h:outputText value="Start Date: "/>
<t:inputCalendar monthYearRowClass="yearMonthHeader" 
     styleClass="blueTextField"
     weekRowClass="weekHeader" 
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{subscriptionPaymentsForm.startDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
<h:outputText value="End Date: "/>
<t:inputCalendar monthYearRowClass="yearMonthHeader" weekRowClass="weekHeader" 
     styleClass="blueTextField"
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{subscriptionPaymentsForm.endDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
     
<h:outputText value="Payer Email: "/>
<h:inputText styleClass="blueTextField" id="payerEmail" value="#{subscriptionPaymentsForm.payerEmail}" maxlength="50" size="30" required="false" ></h:inputText>
    
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton styleClass="skButton" id="subscriptionPayments" value="Subscription Payments" action="#{subscriptionPaymentsForm.searchTransaction}"></h:commandButton>

</h:panelGrid>

<h:panelGrid id="errorGrid" columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{subscriptionPaymentsForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{subscriptionPaymentsForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="errorData" value="#{subscriptionPaymentsForm.errorDataModel}" 
    rendered="#{subscriptionPaymentsForm.renderErrorTable}" 
    var="errorList" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{errorList.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{errorList.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{errorList.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{errorList.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

	    
<t:dataTable id="data" value="#{subscriptionPaymentsForm.dataModel}" 
    rendered="#{subscriptionPaymentsForm.renderTable}" 
    var="list" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainTextAlignRight, cellPlainText, cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Timestamp"/>
        </f:facet>
        <h:outputText id="timestamp"
           value="#{list.paymentTransactionDetails.paymentInfo.paymentDate.time}">
           <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a z" />
        </h:outputText>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Name"/>
        </f:facet>
        <h:outputText id="payerDisplayName"
           value="#{list.paymentTransactionDetails.payerInfo.payer}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Subscription"/>
        </f:facet>
        <h:outputText id="subscription"
           value="#{list.paymentTransactionDetails.paymentItemInfo.paymentItem[0].name}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Gross Amt"/>
        </f:facet>
        <h:outputText id="grossAmount"
           value="#{list.paymentTransactionDetails.paymentInfo.grossAmount}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Curr"/>
        </f:facet>
        <h:outputText id="currencyCode"
           value="#{list.paymentTransactionDetails.paymentInfo.grossAmount.currencyID}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Status"/>
        </f:facet>
        <h:outputText id="status"
           value="#{list.paymentTransactionDetails.paymentInfo.paymentStatus}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Tr. ID/Details"/>
        </f:facet>
        <h:commandLink title="Details" immediate="true" 
    		 onmousedown="showDetails('../transactions/popTransactionDetails.jsf?transactionId=#{list.paymentTransactionDetails.paymentInfo.transactionID}', '#{list.paymentTransactionDetails.paymentInfo.transactionID}')"
    		 onclick="return false;">
    		 <h:outputText value="#{list.paymentTransactionDetails.paymentInfo.transactionID}"/>
        </h:commandLink>
    </t:column>

</t:dataTable>
</h:form>

<h:message id="messageError" for="messageError" styleClass="error" />

</f:view>



</center>
</body>
</html>

