<%@ page import="java.util.Date"%>
<%@ page session="false" contentType="text/html;charset=utf-8"%>

<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f" %>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h" %>
<%@ taglib uri="http://myfaces.apache.org/tomahawk" prefix="t"%>

<jsp:include page="/jsp/jspUtils/header.jsp" flush="true">
  <jsp:param name="includePopUp" value="true"/>
</jsp:include>

<f:view>
  
<h:form id="form1">

<h:outputText styleClass="cellBoldText" value="Subscription Search"/>
<f:verbatim><br></f:verbatim>
<center>



<h:panelGrid id="searchGrid" columns="8" columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText">

<h:outputText value="Start Date: "/>
<t:inputCalendar monthYearRowClass="yearMonthHeader" 
     styleClass="blueTextField"
     weekRowClass="weekHeader" 
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{subscriptionSearchForm.startDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
<h:outputText value="End Date: "/>
<t:inputCalendar monthYearRowClass="yearMonthHeader" weekRowClass="weekHeader" 
     styleClass="blueTextField"
     renderAsPopup="true" 
     renderPopupButtonAsImage="true" 
     currentDayCellClass="currentDayCell" 
     value="#{subscriptionSearchForm.endDate}" 
     popupDateFormat="dd-MMM-yyyy hh:ss a"
     popupTodayString="today" popupWeekString="week" />
     
<h:outputText value="Payer Email: "/>
<h:inputText styleClass="blueTextField" id="payerEmail" value="#{subscriptionSearchForm.payerEmail}" maxlength="50" size="25" required="false" ></h:inputText>
    
<h:outputText value="Subscription Transaction ID: "/>
<h:inputText styleClass="blueTextField" id="transactionId" value="#{subscriptionSearchForm.transactionId}" maxlength="50" size="25" required="false" ></h:inputText>

<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:outputText value=""/>
<h:commandButton styleClass="skButton" id="subscriptionSearch" value="Subscription Search" action="#{subscriptionSearchForm.searchTransaction}"></h:commandButton>

</h:panelGrid>


<h:panelGrid id="errorGrid" columns="1" border="1" columnClasses="BlueTitleBar" 
rendered="#{subscriptionSearchForm.renderErrorTable}" 
cellpadding="0" cellspacing="0" styleClass="dataGridTable" >
<h:outputText rendered="#{subscriptionSearchForm.renderErrorTable}"  value="Error message received from PayPal server"/> 

<t:dataTable id="errorData" value="#{subscriptionSearchForm.errorDataModel}" 
    rendered="#{subscriptionSearchForm.renderErrorTable}" 
    var="errorList" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Error Code"/>
        </f:facet>
        <h:outputText id="errorCode"
           value="#{errorList.errorCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Severity Code"/>
        </f:facet>
        <h:outputText id="severityCode"
           value="#{errorList.severityCode}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Short Message"/>
        </f:facet>
        <h:outputText id="shortMessage"
           value="#{errorList.shortMessage}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Long Message"/>
        </f:facet>
        <h:outputText id="longMessage"
           value="#{errorList.longMessage}"/>
    </t:column>
</t:dataTable>
</h:panelGrid>

	    
<t:dataTable id="data" value="#{subscriptionSearchForm.dataModel}" 
    rendered="#{subscriptionSearchForm.renderTable}" 
    var="list" border="1" cellpadding="1" cellspacing="1" width="100%" 
    styleClass="dataGridTable" 
    headerClass="BlueTitleBarBottomRight" 
    columnClasses="cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainText, cellPlainTextAlignRight, cellPlainTextAlignRight, cellPlainTextAlignRight, cellPlainText, cellPlainText"
    rowOnMouseOver="this.style.backgroundColor='#A5CBFF'"
    rowOnMouseOut="this.style.backgroundColor='#FFFFE0'">
    <t:column>
        <f:facet name="header">
        <h:outputText value="Timestamp"/>
        </f:facet>
        <h:outputText id="timestamp"
           value="#{list.timestamp.time}">
           <f:convertDateTime pattern="dd-MMM-yyyy hh:mm a" />
        </h:outputText>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Transaction ID"/>
        </f:facet>
 		<h:outputText value="#{list.transactionID}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Payer Name"/>
        </f:facet>
        <h:outputText id="payerDisplayName"
           value="#{list.payerDisplayName}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Transaction Type"/>
        </f:facet>
        <h:outputText id="transactionType"
           value="#{list.type}"/>
    </t:column>
    <t:column>
        <f:facet name="header">
        <h:outputText value="Status"/>
        </f:facet>
        <h:outputText id="status"
           value="#{list.status}"/>
    </t:column>

</t:dataTable>
</h:form>

<h:message id="messageError" for="messageError" styleClass="error" />

</f:view>



</center>
</body>
</html>

